QzFiredTrigger (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.QzFiredTrigger class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class QzFiredTrigger

    java.lang.Object
      org.hyperic.hq.scheduler.QzFiredTrigger

All Implemented Interfaces:
  java.io.Serializable

    public class QzFiredTrigger

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QzFiredTrigger()`

Method Summary
`java.lang.String` | `getEntryId()`
`long` | `getFiredTime()`
`java.lang.String` | `getInstanceName()`
`java.lang.String` | `getJobGroup()`
`java.lang.String` | `getJobName()`
`int` | `getPriority()`
`java.lang.String` | `getState()`
`java.lang.String` | `getTriggerGroup()`
`java.lang.String` | `getTriggerName()`
`boolean` | `isIsStateful()`
`boolean` | `isIsVolatile()`
`boolean` | `isRequestsRecovery()`
`void` | `setEntryId(java.lang.String entryId)`
`void` | `setFiredTime(long firedTime)`
`void` | `setInstanceName(java.lang.String instanceName)`
`void` | `setIsStateful(boolean isStateful)`
`void` | `setIsVolatile(boolean isVolatile)`
`void` | `setJobGroup(java.lang.String jobGroup)`
`void` | `setJobName(java.lang.String jobName)`
`void` | `setPriority(int priority)`
`void` | `setRequestsRecovery(boolean requestsRecovery)`
`void` | `setState(java.lang.String state)`
`void` | `setTriggerGroup(java.lang.String triggerGroup)`
`void` | `setTriggerName(java.lang.String triggerName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QzFiredTrigger

    public QzFiredTrigger()

Method Detail

### getEntryId

    public java.lang.String getEntryId()

### setEntryId

    public void setEntryId(java.lang.String entryId)

### getTriggerName

    public java.lang.String getTriggerName()

### setTriggerName

    public void setTriggerName(java.lang.String triggerName)

### getTriggerGroup

    public java.lang.String getTriggerGroup()

### setTriggerGroup

    public void setTriggerGroup(java.lang.String triggerGroup)

### getInstanceName

    public java.lang.String getInstanceName()

### setInstanceName

    public void setInstanceName(java.lang.String instanceName)

### getFiredTime

    public long getFiredTime()

### setFiredTime

    public void setFiredTime(long firedTime)

### getState

    public java.lang.String getState()

### setState

    public void setState(java.lang.String state)

### isIsVolatile

    public boolean isIsVolatile()

### setIsVolatile

    public void setIsVolatile(boolean isVolatile)

### getJobName

    public java.lang.String getJobName()

### setJobName

    public void setJobName(java.lang.String jobName)

### getJobGroup

    public java.lang.String getJobGroup()

### setJobGroup

    public void setJobGroup(java.lang.String jobGroup)

### isIsStateful

    public boolean isIsStateful()

### setIsStateful

    public void setIsStateful(boolean isStateful)

### isRequestsRecovery

    public boolean isRequestsRecovery()

### setRequestsRecovery

    public void setRequestsRecovery(boolean requestsRecovery)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.